## org.eclipse.datatools.modelbase.sql.tables.impl
Class SQLTablesFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.datatools.modelbase.sql.tables.impl.SQLTablesFactoryImpl

All Implemented Interfaces:
  SQLTablesFactory

    public class SQLTablesFactoryImpl

extends EFactoryImpl
implements SQLTablesFactory

An implementation of the model Factory.

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.tables.SQLTablesFactory
`eINSTANCE`

Constructor Summary
`SQLTablesFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` `convertActionGranularityTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertActionTimeTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertCheckTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertReferenceTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(EDataType eDataType, java.lang.Object instanceValue)`
`EObject` `create(EClass eClass)`
`ActionGranularityType` `createActionGranularityTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`ActionTimeType` `createActionTimeTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`CheckType` `createCheckTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`Column` `createColumn()`
`java.lang.Object` `createFromString(EDataType eDataType, java.lang.String initialValue)`
`PersistentTable` `createPersistentTable()`
`ReferenceType` `createReferenceTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`TemporaryTable` `createTemporaryTable()`
`Trigger` `createTrigger()`
`ViewTable` `createViewTable()`
`static SQLTablesPackage` `getPackage()` Deprecated.
`SQLTablesPackage` `getSQLTablesPackage()`
`static SQLTablesFactory` `init()` Creates the default factory implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLTablesFactoryImpl

    public SQLTablesFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static SQLTablesFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String initialValue)

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object instanceValue)

### createViewTable

    public ViewTable createViewTable()

  Specified by:
    `createViewTable` in interface `SQLTablesFactory`
  Returns:
    a new object of class 'View Table'.

### createTemporaryTable

    public TemporaryTable createTemporaryTable()

  Specified by:
    `createTemporaryTable` in interface `SQLTablesFactory`
  Returns:
    a new object of class 'Temporary Table'.

### createPersistentTable

    public PersistentTable createPersistentTable()

  Specified by:
    `createPersistentTable` in interface `SQLTablesFactory`
  Returns:
    a new object of class 'Persistent Table'.

### createColumn

    public Column createColumn()

  Specified by:
    `createColumn` in interface `SQLTablesFactory`
  Returns:
    a new object of class 'Column'.

### createTrigger

    public Trigger createTrigger()

  Specified by:
    `createTrigger` in interface `SQLTablesFactory`
  Returns:
    a new object of class 'Trigger'.

### createCheckTypeFromString

    public CheckType createCheckTypeFromString(EDataType eDataType,
                                               java.lang.String initialValue)

### convertCheckTypeToString

    public java.lang.String convertCheckTypeToString(EDataType eDataType,
                                                     java.lang.Object instanceValue)

### createReferenceTypeFromString

    public ReferenceType createReferenceTypeFromString(EDataType eDataType,
                                                       java.lang.String initialValue)

### convertReferenceTypeToString

    public java.lang.String convertReferenceTypeToString(EDataType eDataType,
                                                         java.lang.Object instanceValue)

### createActionTimeTypeFromString

    public ActionTimeType createActionTimeTypeFromString(EDataType eDataType,
                                                         java.lang.String initialValue)

### convertActionTimeTypeToString

    public java.lang.String convertActionTimeTypeToString(EDataType eDataType,
                                                          java.lang.Object instanceValue)

### createActionGranularityTypeFromString

    public ActionGranularityType createActionGranularityTypeFromString(EDataType eDataType,
                                                                       java.lang.String initialValue)

### convertActionGranularityTypeToString

    public java.lang.String convertActionGranularityTypeToString(EDataType eDataType,
                                                                 java.lang.Object instanceValue)

### getSQLTablesPackage

    public SQLTablesPackage getSQLTablesPackage()

  Specified by:
    `getSQLTablesPackage` in interface `SQLTablesFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static SQLTablesPackage getPackage()

  Deprecated.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.